#version 450

#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 pos;
layout(location = 5) in vec4 color;

layout(location = 0) out VS_OUT {
    vec4 color;
} vs_out;

layout(set = 0, binding = 0) uniform NodeData
{
	mat4 world;
} node;

void main() {
	// single point
	gl_Position = node.world * vec4(pos, 1);
    vs_out.color = color;
}
